module mod_radiation_none
   use mod_precision, only : zero
   use mod_mesh, only : mesh_t
   use mod_radiation_types, only : radiation_context_t, radiation_state_t, radiation_source_t
   implicit none
   private
   public :: radiation_compute_none
contains
   subroutine radiation_compute_none(mesh, context, state, source)
      type(mesh_t), intent(in) :: mesh
      type(radiation_context_t), intent(in) :: context
      type(radiation_state_t), intent(in) :: state
      type(radiation_source_t), intent(inout) :: source
      associate(dummy_mesh => mesh%ncells, dummy_rank => context%rad_rank, dummy_step => state%step)
      end associate
      source%qrad = zero
   end subroutine radiation_compute_none
end module mod_radiation_none
